class Valise1LevelButton extends Button
{
    constructor(name)
    {
        super(name);

        /** @type {Object} */
        this.levelData = null;
    }

    _initSignals()
    {
        this.addSignal("levelSelected");
    }

    _onMouseClicked()
    {
        this.emitSignal("levelSelected", this.levelData);
    }
}